clear i;
clear g;

x_t=[100 200 300 400 500 600 700 800 900 1000 2000 3000 4000 5000 6000 7000 8000 9000 10000 20000 24000];
x_l={'100','200','','','500','','','','','1000','2000','','' '5000','','','','','10000','','24000'};
%legendtekst = {'1 sek.','2 sek.','4 sek.','8 sek.','16 sek.'};
legendtekst = {'1','2','4','8','16'};

figure(1)
subplot(2,1,1)


%Plotte sign/frittsign
for i = 1:5

	g(:,i) = semilogx(fvec,20*log10(abs(BigF1(:,startvec(i):4:stopvec(i))./BigF3(:,startvec(i):4:stopvec(i)))),char(colorvec(i)),'LineWidth',1.00);
	hold on;
end

grid on
axis([100 24000 -15 15])
set(gca,'YTick',-15:3:15)
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
suptitle('Frekvensrespons til impulsresponser med ulik sweep-legnder')
title('Frekvensresponsen til signal')
g=g(1,:);
h=legend(g,legendtekst,'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Sweep [sek.]');
set(gca,'XTick',x_t)
set(gca,'XTickLabel',x_l)


clear i; clear g; clear h; clear v;

% Plotte stoy/frittsign
subplot(2,1,2)

for i = 1:5
	g(:,i)=semilogx(fvec,20*log10(abs(BigF2(:,startvec(i):4:stopvec(i))./BigF3(:,startvec(i):4:stopvec(i)))),char(colorvec(i)),'LineWidth',1.00);
	hold on;

end

grid on
axis([100 24000 -120 -40])
set(gca,'YTick',-120:10:-40)
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
title('Frekvensresponsen til stoy')
g=g(1,:);
h=legend(g,legendtekst,'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Sweep [sek.]');
set(gca,'XTick',x_t)
set(gca,'XTickLabel',x_l)

print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\valgavsweeps.eps'
%print -dpng  'E:\Dropbox\Masteroppgave\Rapport\figs\valgavsweep.png'


