close all;
clear all;

load('measurement.mat');
load('simulation_workspace_jm.mat');

fvecm = measure_Fs/measure_nfft * [0:measure_nfft/2];
fvecs = simulation_Fs/measure_nfft * [0:measure_nfft/2];


colorm = {'k','b','g','r','c','m','y'};
coloravvik = {'k','b','g','r','c','m','y',':k',':b',':g',':r',':c',':m',':y'};
colorm2 = {':k',':b',':g',':r',':c',':m',':y'};
colors = {'--k','--b','--g','--r','--c','--m','--y'};

legendavvik = {'Pos. 0','Pos. 1','Pos. 2','Pos. 3','Pos. 4','Pos. 5','Pos. 6','Pos. 7','Pos. 8','Pos. 9','Pos. 10'};
%legendtekst = {'Pos. 0 - maalt','Pos. 0 - simu.','Pos. 1 - maalt','Pos. 1 - simu.','Pos. 2 - maalt','Pos. 2 - simu.',...
%'Pos. 3 - maalt','Pos. 3 - simu.','Pos. 4 - maalt','Pos. 4 - simu.','Pos. 5 - maalt','Pos. 5 - simu.',...
%'Pos. 6 - maalt','Pos. 6 - simu.','Pos. 7 - maalt','Pos. 7 - simu.','Pos. 8 - maalt','Pos. 8 - simu.',...
%'Pos. 9 - maalt','Pos. 9 - simu.','Pos. 10 - maalt','Pos. 10 - simu.'};
%legendtekst = {'2 ms tidsvindu','4 ms tidsvindu','8 ms tidsvindu','Simulert'};
%legendtekst  = {' 2 ms tidsvindu',' 4 ms tidsvindu',' Simulert'};
legendtekst = {'Maaling 1 (M1)','Maaling 2 (M2)','Simulert (S)'};
legendtekst2 = {'Avvik M1-S','Avvik M2-S'};%,'4 ms - simulert', '2 ms - 2 ms','4 ms - 4 ms'};
legendtekst3 = {' 2 ms tidsvindu',' 4 ms tidsvindu'};
legendtekst4 = {'Maaling','Simulering','Frontplate B','Frontplate C'};
lw=1.00;
%figure(1)
k=1;

figure(k)
subplot(3,1,1)
g(:,1) = semilogx(fvecm,(20*log10(abs(measure_0_sign_2ms(:,(1))./measure_frittsign_2ms(:,(1))))), char(colorm(2)),'LineWidth',lw);
hold on
%g(:,2) = semilogx(fvecm,(20*log10(abs(measure_a_sign_2ms(:,(1))./measure_frittsign_2ms(:,(1))))), char(colorm(3)),'LineWidth',lw);
%g(:,3) = semilogx(fvecm,(20*log10(abs(measure_b_sign_2ms(:,(1))./measure_frittsign_2ms(:,(1))))), char(colorm(4)),'LineWidth',lw);
%g(:,4) = semilogx(fvecm,(20*log10(abs(measure_c_sign_2ms(:,(1))./measure_frittsign_2ms(:,(1))))), char(colorm(5)),'LineWidth',lw);
grid on
axis([100 24000 -20 20])
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
titlestring = sprintf('Eksempel paa maalt frekvensrespons, hentet fra frontplate 0 - posisjon 0');
title(titlestring)
g=g(1,:);
%h=legend(g,legendtekst4,'Location','NorthEastOutside');
%v = get(h,'title');
%set(v,'string','Tegnforklaringer');

clear g;

subplot(3,1,2)
g(:,1) = semilogx(fvecm,(20*log10(abs(measure_a_sign_2ms(:,(1))./measure_frittsign_2ms(:,(1))))), char(colorm(3)),'LineWidth',lw);
%g(:,1) = semilogx(fvecs,(20*log10(abs(simulation_0_jm(:,1)))), char(colorm(3)),'LineWidth',lw);
hold on
%g(:,2) = semilogx(fvecs,(20*log10(abs(simulation_a_jm(:,1)))), char(colorm(3)),'LineWidth',lw);
%g(:,3) = semilogx(fvecs,(20*log10(abs(simulation_b_jm(:,1)))), char(colorm(4)),'LineWidth',lw);
%g(:,4) = semilogx(fvecs,(20*log10(abs(simulation_c_jm(:,1)))), char(colorm(5)),'LineWidth',lw);
grid on
axis([100 24000 -20 20])
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
titlestring = sprintf('Eksempel paa maalt frekvensrespons, hentet fra frontplate A - posisjon 0');
title(titlestring)
g=g(1,:);
%h=legend(g,legendtekst4(2),'Location','NorthEastOutside');
%v = get(h,'title');
%set(v,'string','Tegnforklaringer');


str2 = sprintf('E:/Dropbox/Masteroppgave/Rapport/figs/results/frekvensresp_eks.eps');
print('-depsc2', str2);
