close all;
clear all;

figure(1)
EDBplotmodel('.\fp0-simulation-jm\simulation_frontplate0_eddata.mat',2)
axis tight;
axis equal;
title('Simuleringsmodell for frontplate 0 med mottakerposisjoner');
xlabel('Lengde [m]')
ylabel('Bredde [m]')
zlabel('Dybde [m]')
print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\fp0mod.eps'


figure(2)
EDBplotmodel('.\fpa-simulation-jm\simulation_frontplatea_eddata.mat',2)
axis tight;
axis equal;
title('Simuleringsmodell for frontplate A med mottakerposisjoner');
xlabel('Lengde [m]')
ylabel('Bredde [m]')
zlabel('Dybde [m]')
print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\fpamod.eps'

figure(3)
EDBplotmodel('.\fpb-simulation-jm\simulation_frontplateb_eddata.mat',2)
axis tight;
axis equal;
title('Simuleringsmodell for frontplate B med mottakerposisjoner');
xlabel('Lengde [m]')
ylabel('Bredde [m]')
zlabel('Dybde [m]')
print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\fpbmod.eps'


figure(4)
EDBplotmodel('.\fpc-simulation-jm\simulation_frontplatec_eddata.mat',2)
axis tight;
axis equal;
title('Simuleringsmodell for frontplate C med mottakerposisjoner');
xlabel('Lengde [m]')
ylabel('Bredde [m]')
zlabel('Dybde [m]')
print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\fpcmod.eps'


figure(5)
EDBplotmodel('.\mp-simulation-jm\simulation_maalepinne_eddata.mat',2)
axis tight;
axis equal;
title('Simuleringsmodell for maalepinne med mottakerposisjoner');
xlabel('Lengde [m]')
ylabel('Tykkelse/bredde [m]')
zlabel('Dybde [m]')
print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\mpmod.eps'
