%clear i;
clear g;


x_t=[14000 16000 18000 20000 22000 24000];
x_l={'14000','16000','18000','20000','22000','24000'};
legendtekst = {'1','2','4','8','16'};

figure(2)
subplot(2,1,1)


%Plotte sign/frittsign
for i = 1:5

	g(:,i) = semilogx(fvec,20*log10(abs(BigF1(:,startvec(i):8:stopvec(i))./BigF3(:,startvec(i):8:stopvec(i)))),char(colorvec(i)),'LineWidth',1.00);
	hold on;
end

grid on
%axis([14000 24000 -20 40])
axis([18000 20000 -20 20])
set(gca,'YTick',-20:10:40)
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
%suptitle('Utdrag fra 18 [kHz] til 20 [kHz]')
title('Frekvensresponsen til maalinger med ulik sweep-lengde - utdrag fra 18 til 20 kHz')
g=g(1,:);
h=legend(g,legendtekst,'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Sweep [sek.]');
%set(gca,'XTick',x_t)
%set(gca,'XTickLabel',x_l)
set(gca,'XTick',18000:250:20000);

clear i; clear g; clear h; clear v;

% Plotte stoy/frittsign
subplot(2,1,2)

for i = 1:5
	g(:,i)=semilogx(fvec,20*log10(abs(BigF1(:,startvec(i):8:stopvec(i))./BigF2(:,startvec(i):8:stopvec(i)))),char(colorvec(i)),'LineWidth',1.00);
	hold on;

end

grid on
%axis([14000 24000 -120 20])
axis([18000 20000 0 80])
xlabel('Frekvens [Hz]')
ylabel('SNR [dB]')
title('Signal/stoy-forhold til maalinger med ulik sweep-lengde - utdrag fra 18 til 20 kHz')
g=g(1,:);
h=legend(g,legendtekst,'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Sweep [sek.]');
%set(gca,'YTick',-120:10:20)
%set(gca,'XTick',x_t)
%set(gca,'XTickLabel',x_l)
set(gca,'XTick',18000:250:20000);

print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\valgavsweeps_2.eps'
%print -dpng  'E:\Dropbox\Masteroppgave\Rapport\figs\valgavsweep.png'







%%%AVVIK



figure(3)
subplot(2,1,1)


%Plotte sign/frittsign
for i = 1:5

	g(:,i) = semilogx(fvec,(20*log10(abs(BigF1(:,startvec(i):8:stopvec(i))./BigF3(:,startvec(i):8:stopvec(i))))-20*log10(abs(BigF1(:,startvec(i)+4:8:stopvec(i))./BigF3(:,startvec(i)+4:8:stopvec(i))))),char(colorvec(i)),'LineWidth',1.00);
	hold on;
end

grid on
%axis([14000 24000 -20 40])
axis([18000 20000 -20 20])
set(gca,'YTick',-20:10:40)
xlabel('Frekvens [Hz]')
ylabel('Forsterkning [dB]')
%suptitle('Utdrag fra 18 [kHz] til 20 [kHz]')
title('Frekvensresponsen til maalinger med ulik sweep-lengde - utdrag fra 18 til 20 kHz')
g=g(1,:);
h=legend(g,legendtekst,'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Sweep [sek.]');
%set(gca,'XTick',x_t)
%set(gca,'XTickLabel',x_l)
set(gca,'XTick',18000:125:20000);

clear i; clear g; clear h; clear v;

% Plotte stoy/frittsign
subplot(2,1,2)

for i = 1:5
	g(:,i)=semilogx(fvec,20*log10(abs(BigF1(:,startvec(i):8:stopvec(i))./BigF2(:,startvec(i):8:stopvec(i)))),char(colorvec(i)),'LineWidth',1.00);
	hold on;

end

grid on
%axis([14000 24000 -120 20])
axis([18000 20000 0 80])
xlabel('Frekvens [Hz]')
ylabel('SNR [dB]')
title('Signal/stoy-forhold til maalinger med ulik sweep-lengde - utdrag fra 18 til 20 kHz')
g=g(1,:);
h=legend(g,legendtekst,'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Sweep [sek.]');
%set(gca,'YTick',-120:10:20)
%set(gca,'XTick',x_t)
%set(gca,'XTickLabel',x_l)
set(gca,'XTick',18000:125:20000);

print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\valgavsweeps_avvik.eps'
%print -dpng  'E:\Dropbox\Masteroppgave\Rapport\figs\valgavsweep.png'









