clear i;
clear g;

x_t=[100 200 300 400 500 600 700 800 900 1000 2000 3000 4000 5000 6000 7000 8000 9000 10000 20000 24000];
x_l={'100','200','','','500','','','','','1000','2000','','' '5000','','','','','10000','','24000'};
%legendtekst = {'1 sek.','2 sek.','4 sek.','8 sek.','16 sek.'};
legendtekst = {'1','2','4','8','16'};
figure(3)
subplot(2,1,1)


%Plotte sign/frittsign
for i = 1:5

	g(:,i) = semilogx(fvec,20*log10(abs(BigF1(:,startvec(i):4:stopvec(i))./BigF2(:,startvec(i):4:stopvec(i)))),char(colorvec(i)),'LineWidth',1.00);
	hold on;
end

grid on
axis([100 10000 40 130])
set(gca,'YTick', 40:10:130)
xlabel('Frekvens [Hz]')
ylabel('SNR [dB]')
suptitle('Utdrag fra 100 [Hz] til 10000 [Hz]')
title('Gjennomsnittlig signal/stoy-forhold')
g=g(1,:);
legend(g,legendtekst,'Location','NorthEastOutside'),
h=legend(g,legendtekst,'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Sweep [sek.]');
set(gca,'XTick',x_t)
set(gca,'XTickLabel',x_l)


clear i; clear g; clear h; clear v;

% Plotte stoy/frittsign
subplot(2,1,2)



for i = 1:5
	g(:,i)=semilogx(fvec,20*log10(abs(BigF1(:,startvec(i):8:stopvec(i))./BigF1(:,startvec(i)+4:8:stopvec(i)))),char(colorvec(i)),'LineWidth',1.00);
	hold on;

end

grid on
axis([100 10000 -0.20 0.30])
set(gca,'YTick', -0.20:0.1:0.30)
xlabel('Frekvens [Hz]')
ylabel('Avvik [dB]')
title('Gjennomsnittlig avvik til impulsresponser med ulik sweep-lengde')
%g=g(1,3);
g=g(1,:);
%legendtekst={'4 sek.'};
h=legend(g,legendtekst,'Location','NorthEastOutside');
v = get(h,'title');
set(v,'string','Sweep [sek.]');
set(gca,'XTick',x_t)
set(gca,'XTickLabel',x_l)

print -depsc2 'E:\Dropbox\Masteroppgave\Rapport\figs\valgavsweeps_3.eps'
%print -dpng  'E:\Dropbox\Masteroppgave\Rapport\figs\valgavsweep.png'

