clear all;
close all;

filepath0 = 'E:\Dropbox\Masteroppgave\Matlab\Measurement\Frontplate\fp0-simulation-jm\';
filepath0edb1 = 'E:\Dropbox\Masteroppgave\Matlab\Measurement\Frontplate\fp0-simulation-jm-edb1\';
filepatha = 'E:\Dropbox\Masteroppgave\Matlab\Measurement\Frontplate\fpa-simulation-jm\';
filepathb = 'E:\Dropbox\Masteroppgave\Matlab\Measurement\Frontplate\fpb-simulation-jm\';
filepathc = 'E:\Dropbox\Masteroppgave\Matlab\Measurement\Frontplate\fpc-simulation-jm\';
filepathmp = 'E:\Dropbox\Masteroppgave\Matlab\Measurement\Frontplate\mp-simulation-jm\';
nfft = 16384;
simulation_nfft = nfft;


for i = 1:11

	stringmp = sprintf('%ssimulation_maalepinne_1_%d_ir.mat', filepathmp, i);
	load(stringmp)
	simulation_mp_jm(:,i) = fft(full(irtot),nfft);
	clear CAIR;
	clear EDcalcmethod;
	clear Rstart;
	clear irdiff;
	clear irdirect;
	clear irgeom;
	clear irtot;
end


clear i;

for i = 1:11

	string1 = sprintf('%ssimulation_frontplate0_1_%d_ir.mat', filepath0, i);
	load(string1)
	simulation_0_jm_ump(:,i) = fft(full(irtot),nfft)./fft(full(irdirect),nfft);
	simulation_0_jm(:,i) = fft(full(irtot),nfft)./simulation_mp_jm(:,i);
	clear CAIR;
	clear EDcalcmethod;
	clear Rstart;
	clear irdiff;
	clear irdirect;
	clear irgeom;
	clear irtot;
end

simulation_0_jm = abs(simulation_0_jm(1:nfft/2+1,:));
simulation_0_jm_ump = abs(simulation_0_jm_ump(1:nfft/2+1,:));




for i = 1:8
	string2 = sprintf('%ssimulation_frontplatea_1_%d_ir.mat', filepatha, i);
	load(string2)
	simulation_a_jm_ump(:,i) = fft(full(irtot),nfft)./fft(full(irdirect),nfft);
	simulation_a_jm(:,i) = fft(full(irtot),nfft)./simulation_mp_jm(:,i);
	clear CAIR;
	clear EDcalcmethod;
	clear Rstart;
	clear irdiff;
	clear irdirect;
	clear irgeom;
	clear irtot;
end

simulation_a_jm = abs(simulation_a_jm(1:nfft/2+1,:));
simulation_a_jm_ump = abs(simulation_a_jm_ump(1:nfft/2+1,:));


for i = 1:8
	string3 = sprintf('%ssimulation_frontplateb_1_%d_ir.mat', filepathb, i);
	load(string3)
	simulation_b_jm_ump(:,i) = fft(full(irtot),nfft)./fft(full(irdirect),nfft);
	simulation_b_jm(:,i) = fft(full(irtot),nfft)./simulation_mp_jm(:,i);
	clear CAIR;
	clear EDcalcmethod;
	clear Rstart;
	clear irdiff;
	clear irdirect;
	clear irgeom;
	clear irtot;
end

simulation_b_jm = abs(simulation_b_jm(1:nfft/2+1,:));
simulation_b_jm_ump = abs(simulation_b_jm_ump(1:nfft/2+1,:));



for i = 1:9
	string4 = sprintf('%ssimulation_frontplatec_1_%d_ir.mat', filepathc, i);
	load(string4)
	simulation_c_jm_ump(:,i) = fft(full(irtot),nfft)./fft(full(irdirect),nfft);
	simulation_c_jm(:,i) = fft(full(irtot),nfft)./simulation_mp_jm(:,i);
	clear CAIR;
	clear EDcalcmethod;
	clear Rstart;
	clear irdiff;
	clear irdirect;
	clear irgeom;
	clear irtot;
end

simulation_c_jm = abs(simulation_c_jm(1:nfft/2+1,:));
simulation_c_jm_ump = abs(simulation_c_jm_ump(1:nfft/2+1,:));


simulation_Fs = FSAMP;

save ('simulation_workspace_jm.mat','simulation_0_jm','simulation_a_jm', ...
'simulation_b_jm','simulation_c_jm','simulation_nfft','simulation_Fs', ...
'simulation_0_jm_ump','simulation_a_jm_ump','simulation_b_jm_ump','simulation_c_jm_ump')
